ProviderAwareCompilerDaemonForkOptions (Gradle API 9.0.0)
Description: declaration: package: org.gradle.api.tasks.compile, class: ProviderAwareCompilerDaemonForkOptions

Package org.gradle.api.tasks.compile

# Class ProviderAwareCompilerDaemonForkOptions

java.lang.Object
org.gradle.api.tasks.compile.BaseForkOptions
org.gradle.api.tasks.compile.ProviderAwareCompilerDaemonForkOptions

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ForkOptions`, `GroovyForkOptions`, `ScalaForkOptions`

@Incubating public class ProviderAwareCompilerDaemonForkOptions extends BaseForkOptions
Fork options for compilation that can accept user-defined `CommandLineArgumentProvider` objects. Only take effect if `fork` is `true`.

Since:
  7.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProviderAwareCompilerDaemonForkOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAllJvmArgs()`
  Returns the full set of arguments to use to launch the JVM for the compiler process.
  `List<CommandLineArgumentProvider>`
  `getJvmArgumentProviders()`
  Returns any additional JVM argument providers for the compiler process.

  ### Methods inherited from class org.gradle.api.tasks.compile.BaseForkOptions

  `getJvmArgs, getMemoryInitialSize, getMemoryMaximumSize, setJvmArgs, setMemoryInitialSize, setMemoryMaximumSize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProviderAwareCompilerDaemonForkOptions

    public ProviderAwareCompilerDaemonForkOptions()

- ## Method Details

  - ### getJvmArgumentProviders

    @Optional public List<CommandLineArgumentProvider> getJvmArgumentProviders()
    Returns any additional JVM argument providers for the compiler process.

  - ### getAllJvmArgs

    @Internal public List<String> getAllJvmArgs()
    Returns the full set of arguments to use to launch the JVM for the compiler process. This includes arguments to define system properties, the minimum/maximum heap size, and the bootstrap classpath.
    Returns:
      The immutable list of arguments. Returns an empty list if there are no arguments.